function [ outputmat ] = ComputeParametersMMR( inputmat,label_train, vystup,lines )
%% Funkce pro vypocet ACC, SEN, SPE, TSS pro pripad mRMR
%
% inputmat - natrenovana matice
% label_train - vektor 0 a 1 (0 - zdravy recnik, 1 - pacient s PN)
% vystup - cell vypocitanych parametru
% lines - pocet vybranych parametru
%% Priprava promennych
outputmat = cell(5); 

%% Popisky
outputmat(1,2) = cellstr('ACC');
outputmat(1,3) = cellstr('SEN');
outputmat(1,4) = cellstr('SPE');
outputmat(1,5) = cellstr('TSS');


%% Vypocet
A = label_train;
B = cell2mat(inputmat(2,2:length(label_train)+1));

% ACC
 ACC = accuracy(A,B);
 
% SEN
 SEN = sensitivity(A,B);

% SPE
 SPE = specificity(A,B);

% TSS
 TSS = tss(SEN,SPE);
 
%% Ulozeni vysledku 
 outputmat(2,2) = num2cell(ACC);
 outputmat(2,3) = num2cell(SEN);
 outputmat(2,4) = num2cell(SPE);
 outputmat(2,5) = num2cell(TSS);
 
end

